# Class MappedFile.FileTooLongException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
uk.ac.starlink.oldfits.MappedFile.FileTooLongException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MappedFile`

public static class MappedFile.FileTooLongException extends IOException
Exception indicating that a file is too long to map.

Since:
  30 Aug 2002
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`